Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Motion/JointDataBuffer.h File Reference

Definition of JointDataBuffer class. More...

`#include "JointData.h"`
`#include "Tools/Streams/InOut.h"`

Include dependency graph for JointDataBuffer.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | JointDataBuffer
| A buffer for joint data sets, containing all frames computed in one call of Motion::execute. More...
## Functions
In & | operator>> (In &stream, JointDataBuffer &jointDataBuffer)
| Streaming operator that reads a JointDataBuffer from a stream.
Out & | operator<< (Out &stream, const JointDataBuffer &jointDataBuffer)
| Streaming operator that writes a JointDataBuffer to a stream.
## Variables
const int | jointDataBufferNumOfFrames = 1
| Number of frames in the buffer.

## Detailed Description

Definition of JointDataBuffer class.

The jointdata struct is a non NDA violating description of joint vector data

Author:
  Max Risler

Definition in file JointDataBuffer.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | JointDataBuffer & | jointDataBuffer
| ) |

  | Streaming operator that reads a JointDataBuffer from a stream. Parameters:
  stream | The stream from which is read.
  jointDataBuffer | The JointDataBuffer object.
Returns: The stream. Definition at line 16 of file JointDataBuffer.cpp. References JointDataBuffer::frame.

Out& operator<< | ( | Out & | stream,
|  | const JointDataBuffer & | jointDataBuffer
| ) |

  | Streaming operator that writes a JointDataBuffer to a stream. Parameters:
  stream | The stream to write on.
  jointDataBuffer | The JointDataBuffer object.
Returns: The stream. Definition at line 31 of file JointDataBuffer.cpp. References JointDataBuffer::frame.

## Variable Documentation

const int jointDataBufferNumOfFrames = 1`[static]`

| Number of frames in the buffer. This number defines how many frames are computed each run, and therefore how often Motion::execute will be called. Definition at line 20 of file JointDataBuffer.h.